Bug 65156 - inconsistent renaming in 2.4.18-4 sources
inconsistent renaming in 2.4.18-4 sources
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-18 15:27 EDT by Michal Jaegermann
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-18 15:28:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2002-05-18 15:27:56 EDT
Description of Problem:

In drivers/scsi/sym53c8xx_2/Makefile an object file sym53c8xx.o was
renamed to sym53c8xx_2.o (against explicit author wishes - but this is
another story) but a Makefile one level above still refers to
sym53c8xx_2/sym53c8xx.o.  This hits if one tries to recompile sources
in a different configuration where new sym.0.9.0 driver is a built-in
instead of a module.

If you still want to do renaming an obvious small adjustment in
drivers/scsi/Makefile resolves the issue.

Version-Release number of selected component (if applicable):
2.4.18-4
Comment 1 Arjan van de Ven 2002-05-21 05:41:18 EDT
The author can wish what he wants, but modutils simply doesn't allow
2 modules with the same filename.... As for the bug, I'll fix it.
Comment 2 Michal Jaegermann 2002-05-21 18:41:58 EDT
Exactly!  AFAIK Gerard Roudier provided this new driver as a replacement
and not an alternative.  But if you want that other way then do that at
least consistently. :-)

Note You need to log in before you can comment on or make changes to this bug.